/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.plus.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Audience.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google+ API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Audience extends GenericJson {

  /**
   * ETag of this response for caching purposes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etag;

  /**
   * The access control list entry.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private PlusAclentryResource item;

  /**
   * Identifies this resource as an audience. Value: "plus#audience".
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The circle members' visibility as chosen by the owner of the circle. This only applies for
   * items with "item.type" equals "circle". Possible values are: - "public" - Members are visible
   * to the public.  - "limited" - Members are visible to a limited audience.  - "private" - Members
   * are visible to the owner only.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String visibility;

  /**
   * ETag of this response for caching purposes.
   * The value returned may be {@code null}.
   */
  public String getEtag() {
    return etag;
  }

  /**
   * ETag of this response for caching purposes.
   * The value set may be {@code null}.
   */
  public Audience setEtag(String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The access control list entry.
   * The value returned may be {@code null}.
   */
  public PlusAclentryResource getItem() {
    return item;
  }

  /**
   * The access control list entry.
   * The value set may be {@code null}.
   */
  public Audience setItem(PlusAclentryResource item) {
    this.item = item;
    return this;
  }

  /**
   * Identifies this resource as an audience. Value: "plus#audience".
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as an audience. Value: "plus#audience".
   * The value set may be {@code null}.
   */
  public Audience setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The circle members' visibility as chosen by the owner of the circle. This only applies for
   * items with "item.type" equals "circle". Possible values are: - "public" - Members are visible
   * to the public.  - "limited" - Members are visible to a limited audience.  - "private" - Members
   * are visible to the owner only.
   * The value returned may be {@code null}.
   */
  public String getVisibility() {
    return visibility;
  }

  /**
   * The circle members' visibility as chosen by the owner of the circle. This only applies for
   * items with "item.type" equals "circle". Possible values are: - "public" - Members are visible
   * to the public.  - "limited" - Members are visible to a limited audience.  - "private" - Members
   * are visible to the owner only.
   * The value set may be {@code null}.
   */
  public Audience setVisibility(String visibility) {
    this.visibility = visibility;
    return this;
  }

}
