/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.plus.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Circle.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google+ API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Circle extends GenericJson {

  /**
   * The description of this circle.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String description;

  /**
   * The circle name.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String displayName;

  /**
   * ETag of this response for caching purposes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etag;

  /**
   * The ID of the circle.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * Identifies this resource as a circle. Value: "plus#circle".
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The people in this circle.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private People people;

  /**
   * Link to this circle resource
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String selfLink;

  /**
   * The description of this circle.
   * The value returned may be {@code null}.
   */
  public String getDescription() {
    return description;
  }

  /**
   * The description of this circle.
   * The value set may be {@code null}.
   */
  public Circle setDescription(String description) {
    this.description = description;
    return this;
  }

  /**
   * The circle name.
   * The value returned may be {@code null}.
   */
  public String getDisplayName() {
    return displayName;
  }

  /**
   * The circle name.
   * The value set may be {@code null}.
   */
  public Circle setDisplayName(String displayName) {
    this.displayName = displayName;
    return this;
  }

  /**
   * ETag of this response for caching purposes.
   * The value returned may be {@code null}.
   */
  public String getEtag() {
    return etag;
  }

  /**
   * ETag of this response for caching purposes.
   * The value set may be {@code null}.
   */
  public Circle setEtag(String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The ID of the circle.
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * The ID of the circle.
   * The value set may be {@code null}.
   */
  public Circle setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * Identifies this resource as a circle. Value: "plus#circle".
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a circle. Value: "plus#circle".
   * The value set may be {@code null}.
   */
  public Circle setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The people in this circle.
   * The value returned may be {@code null}.
   */
  public People getPeople() {
    return people;
  }

  /**
   * The people in this circle.
   * The value set may be {@code null}.
   */
  public Circle setPeople(People people) {
    this.people = people;
    return this;
  }

  /**
   * Link to this circle resource
   * The value returned may be {@code null}.
   */
  public String getSelfLink() {
    return selfLink;
  }

  /**
   * Link to this circle resource
   * The value set may be {@code null}.
   */
  public Circle setSelfLink(String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

  /**
   * The people in this circle.
   */
  public static final class People extends GenericJson {

    /**
     * The total number of people in this circle.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private Long totalItems;

    /**
     * The total number of people in this circle.
     * The value returned may be {@code null}.
     */
    public Long getTotalItems() {
      return totalItems;
    }

    /**
     * The total number of people in this circle.
     * The value set may be {@code null}.
     */
    public People setTotalItems(Long totalItems) {
      this.totalItems = totalItems;
      return this;
    }

  }

}
