/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.plus.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Videostream.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google+ API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Videostream extends GenericJson {

  /**
   * The height, in pixels, of the video resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer height;

  /**
   * MIME type of the video stream.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * URL of the video stream.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String url;

  /**
   * The width, in pixels, of the video resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer width;

  /**
   * The height, in pixels, of the video resource.
   * The value returned may be {@code null}.
   */
  public Integer getHeight() {
    return height;
  }

  /**
   * The height, in pixels, of the video resource.
   * The value set may be {@code null}.
   */
  public Videostream setHeight(Integer height) {
    this.height = height;
    return this;
  }

  /**
   * MIME type of the video stream.
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * MIME type of the video stream.
   * The value set may be {@code null}.
   */
  public Videostream setType(String type) {
    this.type = type;
    return this;
  }

  /**
   * URL of the video stream.
   * The value returned may be {@code null}.
   */
  public String getUrl() {
    return url;
  }

  /**
   * URL of the video stream.
   * The value set may be {@code null}.
   */
  public Videostream setUrl(String url) {
    this.url = url;
    return this;
  }

  /**
   * The width, in pixels, of the video resource.
   * The value returned may be {@code null}.
   */
  public Integer getWidth() {
    return width;
  }

  /**
   * The width, in pixels, of the video resource.
   * The value set may be {@code null}.
   */
  public Videostream setWidth(Integer width) {
    this.width = width;
    return this;
  }

}
